\input autohead
\input verbatim
\input czech.sty
\input plaina4
\input newtable
\magnification1200

Nsledujc text obsahuje nkolik tabulek, kter by mly demonstrovat
monosti makra \verb|newtable.tex| navrenho pro snadnj psan
tabulek v plain\TeX u a nebo v AmS\TeX u.

\tabulka
Cena & 80MB & 120MB\\ \vynech{5pt}\cara\vynech{5pt}
25MHz&67.910.-&71.330.-\\
33MHz&89.970.-&93.390.-
\konectabulky{\wider \wider\wider
      \item{Tab.1} Jde o sestavu AT386--4MB--32kB
      (64kB) Cache, 1.2MB a 1.44MB FDD, pslun HD, a
      pslun frekvence. U frekvence 33MHz jsou v cen
      zahrnuty MS Windows 3.0 a karta sVGA 512kB a
      cache 64Kb. Cena dvoustrnkovho monitoru je cca
      35.000,-Ks. }

Zdrojov text tabulky vypad tak, jak je uvedeno n.
\medskip
\verbatim\tabulka
Cena & 80MB & 120MB\\ \vynech{5pt}\cara\vynech{5pt}
25MHz&67.910.-&71.330.-\\
33MHz&89.970.-&93.390.-
\konectabulky{\wider \wider\wider
\item{Tab.1} Jde o sestavu AT386--4MB--32kB
(64kB) Cache, 1.2+1.44MB FDD, pslun HD, a
pslun frekvence. U frekvence 33MHz jsou v cen
zahrnuty MS Windows 3.0 a karta sVGA 512kB a
cache 64Kb. Cena dvoustrnkovho monitoru je cca
35.000,-Ks. }\endverbatim
\medskip

Toto byl ppad jednoduch tabulky, kter je neformtovan, a proto
jsou vechny sloupce zarovnvny podle svho levho okraje. Je pipojen
tak popis tabulky, kter byl na pn vyszen na vt ku je ka
tabulky.

\tabulka[|l|o{100truemm\volnyokraj}|]
\hornicara
Poloka & Popis\\
\strednicara
AT386 & jedna z uvaovanch konfigurac potae
      uveden v tabulce 1 ve a tato konfigurace je uvaovna
      bez monitoru.\\
\strednicara
HMM1900E& je dvoustrnkov monitor s rozlienm
      $1280\times960$ bod a hlopkou 19''.\\
\strednicara
HGC1280& je kontroler pro ve uveden monitor. V tto
      konfiguraci je zaruena emulace pro Windows, GEM,
      AutoCAD 5.0, WordPerfect 5.0 a CGA emulace.\\
\dolnicara
\konectabulky{Tab. 2 Uvaovan sestava}

Tato tabulka se zdrojovm textem
\medskip\verbatim
\tabulka[|l|o{100truemm\volnyokraj}|]
\hornicara
Poloka & Popis\\
\strednicara
AT386 & jedna z uvaovanch konfigurac potae
      uveden v tabulce 1 ve a tato konfigurace je uvaovna
      bez monitoru.\\
\strednicara
HMM1900E& je dvoustrnkov monitor s rozlienm
      $1280\times960$ bod a hlopkou 19''.\\
\strednicara
HGC1280& je kontroler pro ve uveden monitor. V tto
      konfiguraci je zaruena emulace pro Windows, GEM,
      AutoCAD 5.0, WordPerfect 5.0 a CGA emulace.\\
\dolnicara
\konectabulky{Tab. 2 Uvaovan sestava}\endverbatim
\medskip
\noindent je pkladem jednoduch tabulky s rmovnm a zalomenm
textu ve sloupci tabulky do odstavce pedepsan ky.

\tabulka[| p{$-$} | pt{0pt}lt{10pt} | pt{0pt}l |]
\hornicara
\hbox{Vraz}\hfil&\textpres2\hfil$n=10$ \hfil |&
                  \textpres2\hfil$n=100$\hfil\kern10pt|\\
\strednicara
\svislecary{-5pt}
\strednicara
\cara
\strednicara
\strednicara
n+1/n^2    &  10.&01&   100&.0001\\
n^2+1/n    & 100.&1 & 10000&.01\\
\svislecary{5pt}
2n+1/n^2   &  20.&01&   200&.0001\\
3n^2+1/n   & 300.&1 & 30000&.01\\
\dolnicara
\konectabulky{Tab. 3 Pklad tabulky, ve kter jsou
srovnny pod sebou desetinn teky nestejn dlouhch cel.}

\noindent Zdrojov text pro tuto tabulku je tento:

\medskip\verbatim\tabulka[| p{$-$} | pt{0pt}lt{10pt} | pt{0pt}l |]
\hornicara
\hbox{Vraz}\hfil&\textpres2\hfil$n=10$ \hfil |&
                  \textpres2\hfil$n=100$\hfil\kern10pt|\\
\strednicara
\svislecary{-5pt}
\strednicara
\cara
\strednicara
\strednicara
n+1/n^2    &  10.&01&   100&.0001\\
n^2+1/n    & 100.&1 & 10000&.01\\
\svislecary{5pt}
2n+1/n^2   &  20.&01&   200&.0001\\
3n^2+1/n   & 300.&1 & 30000&.01\\
\dolnicara
\konectabulky{Tab. 3 Pklad tabulky, ve kter jsou
srovnny pod sebou desetinn teky nestejn dlouhch cel.}\endverbatim
\medskip

\noindent U tto tabulky si vimnme toho, e ve formtu
tabulky je naznaeno, e v prvnm sloupci se m ped a za
obsah prvnho sloupce vkldat znak pro pepnut do a y
matematickho reimu a tedy nemus bt vkldn do kadho
dku v prvnm sloupci. \verb|t{0pt}| znamen, e mezera
mezi nsledujcmi sloupci bude nulov a \verb|t{10pt}|
znamen opt jej nastaven na jej implicitn hodnotu.
\verb|\hbox{...}\hfil| v zhlav tabulky znamen, e  se
tento text nebude uvaovat jako matematick a navc bude
centrovn (\verb|\hfil| z lev strany je obsaeno
implicitn v parametru \verb|p| ve formtu tabulky, nebo
jde o sloupec srovnvan podle pravho okraje).
\verb|\textpres2| znamen, e se odstrauje pedpis ve dvou
sloupcch a nsledujc text bude umstn pes tyto dva
sloupce (proto je tento text obloen \verb|\hfil| z obou
stran; protoe je odstranna i svisl ra na prav stran
a implicitn skok o velikosti 10pt ped n, je v jedno
ppad tento skok nahrazen mezerou a v druhm ppad je
explicitn uveden --- vsledkem by ml bt text centrovan
pes dva sloupce). Tak je zde vidt, jak vynechat mezeru
mezi dky pi protaen svislch ar. Rovn z
demonstranch dvod je zde uvedeno nkolik vodorovnch
ar za sebou, aby bylo patrn, jak mezery jsou mezi arami
v jednotlivch ppadech.

\medskip\necentrovat
\tabulka[ m{1pt}t{0pt} | ct{10pt} | m{10pt}c | ct{0pt} | cm{1pt}|]
\cara
\omit|{2pt}\hfil&\omit\hfil  &\omit\hfil & \\
\caraoddo2-3
\omit|{3pt}\hfil|&\omit\hfil &     \hfil & \\
                &\textpres2\hfil Tabulky \hfil |&      \\
\omit|{3pt}\hfil|&\omit\hfil &     \hfil & \\
\caraoddo2-3
\svislecary{3pt}
                &Sedadlo&     Ceny&\\
\svislecary{3pt}
\caraoddo2-3 \svislecary{2pt} \caraoddo2-3
\svislecary{3pt}
                &1-4 ada& 45.-Ks&\\
                &5-14 ada&35.-Ks&\\
\svislecary{3pt}
\caraoddo2-3
\omit|{2pt}\hfil&\omit\hfil  &\omit\hfil &\hfil|\\
\cara
\konectabulky{\noindent Tab. 4 Sloitj tabulka s dvojm rmekem}
\centrovat\medskip

\noindent Zdrojov text ma tvar
\medskip\verbatim\medskip\necentrovat
\tabulka[ m{1pt}t{0pt} | ct{10pt} | m{10pt}c | ct{0pt} | cm{1pt}|]
\cara
\omit|{2pt}\hfil&\omit\hfil  &\omit\hfil & \\
\caraoddo2-3
\omit|{3pt}\hfil|&\omit\hfil &     \hfil & \\
                &\textpres2\hfil Tabulky \hfil |&      \\
\omit|{3pt}\hfil|&\omit\hfil &     \hfil & \\
\caraoddo2-3
\svislecary{3pt}
                &Sedadlo&     Ceny&\\
\svislecary{3pt}
\caraoddo2-3 \svislecary{2pt} \caraoddo2-3
\svislecary{3pt}
                &1-4 ada& 45.-Ks&\\
                &5-14 ada&35.-Ks&\\
\svislecary{3pt}
\caraoddo2-3
\omit|{2pt}\hfil&\omit\hfil  &\omit\hfil &\hfil|\\
\cara
\konectabulky{\noindent Tab. 4 Sloitj tabulka s dvojm rmekem}
\centrovat\medskip\endverbatim
\medskip

Zde ji nastaly jist komplikace, protoe je poteba
potlaovat nkter svisl ry, co se dje ignorovnm
pedpisu pro konkrtn sloupce (pi pouit \verb|\omit|).
Pokud je za svislou arou uveden rozmr, znamen to svislou
ru o uveden vce. Zrove si vimnme, jak e tabulka
je vysazena od levho okraje a museli jsme vynechat msto
nad a pod explicitn.

Jestlie napeme nsledujc definice tabulky s
jednoduchm a dvojitm rmekem pro  dva parametry (ka
odstavce, do kterho se bude zalamovat text a vlastn text):
\medskip\verbatim
\def\doublebox#1#2{\hbox{$\vcenter{\necentrovat
      \tabulka[m{1pt}t{0pt}|ct{10pt}|o{#1}m{10pt}t{0pt}|cm{2pt}|]
      \cara
      \omit\vrule height2pt\hfil&\omit\hfil&\omit\hfil\vrule\\
      \caraoddo2-2  \svislecary{3pt}
      &#2&\\
      \svislecary{3pt}  \caraoddo2-2
      \omit\vrule height2pt\hfil&\omit\hfil&\omit\hfil\vrule\\
      \cara
      \konectabulky}$}}
\def\singlebox#1#2{\hbox{$\vcenter{\necentrovat
      \tabulka[|o{#1}|]
      \hornicara  #2\\  \dolnicara
      \konectabulky}$}}
\endverbatim\medskip

\def\doublebox#1#2{\hbox{$\vcenter{\necentrovat
      \tabulka[m{1pt}t{0pt}|ct{10pt}|o{#1}m{10pt}t{0pt}|cm{2pt}|]
      \cara
      \omit\vrule height2pt\hfil&\omit\hfil&\omit\hfil\vrule\\
      \caraoddo2-2  \svislecary{3pt}
      &#2&\\
      \svislecary{3pt}  \caraoddo2-2
      \omit\vrule height2pt\hfil&\omit\hfil&\omit\hfil\vrule\\
      \cara
      \konectabulky}$}}
\def\singlebox#1#2{\hbox{$\vcenter{\necentrovat
      \tabulka[|o{#1}|]
      \hornicara  #2\\  \dolnicara
      \konectabulky}$}}

Pak ze zdrojovho textu
\medskip\verbatim
$$ \singlebox{25mm}{Vplata}-
   \singlebox{32mm}{Mnostv penz odevzdanch en}=
   \doublebox{15mm}{Dluhy}
$$
\endverbatim\medskip

\noindent vznikne nsledujc vztah:
$$ \singlebox{25mm}{Vplata}-
   \singlebox{32mm}{Mnostv penz odevzdanch en}=
   \doublebox{15mm}{Dluhy}
$$

Jet stoj za zmnku uvst tabulku, ve kter je nkolik
ar jen pes pes nkter sloupce.
         
\tabulka[m{5pt}t{5pt}|o{20mm\volnyokraj\ignoruj}|pp|p|p|p|p|p|]
\hornicara
Komemt& Nzev& ks& Cena& Vha& Pjem& Vdej& Podpis\\
\strednicara
Zelenina a tropick ovoce&
          Banny&  20ks& 18& 3.5kg& 12.10.&15.10.& ??? \\
\svislecary{3pt} \caraoddo2-4 \caraoddo7-8 \svislecary{4pt}
         &Ananas&  10ks& 22& 1.2kg& 21.04.&17.06.& ??? \\
\svislecary{1pt}
\strednicara
Domc produkty&
          Jablka&  25ks& 11& 2.3kg& 10.12.& 7.08.&     \\
\svislecary{3pt} \caraoddo3-4 \caraoddo7-8 \svislecary{3pt}
         &Hruky&  15ks& 27& 5.7kg&  8.11.& 7.08.&     \\
\dolnicara
\konectabulky{Tab. 5 Ovoce a zelenina se kterou te nen psina.}

Zdrojov text tto tabulky m tvar:

\medskip\verbatim\tabulka[m{5pt}t{5pt}|o{20mm\volnyokraj\ignoruj}|pp|p|p|p|p|p|]
\hornicara
Komemt& Nzev& ks& Cena& Vha& Pjem& Vdej& Podpis\\
\strednicara
Zelenina a tropick ovoce&
          Banny&  20ks& 18& 3.5kg& 12.10.&15.10.& ??? \\
\svislecary{3pt} \caraoddo2-4 \caraoddo7-8 \svislecary{4pt}
         &Ananas&  10ks& 22& 1.2kg& 21.04.&17.06.& ??? \\
\svislecary{1pt}
\strednicara
Domc produkty&
          Jablka&  25ks& 11& 2.3kg& 10.12.& 7.08.&     \\
\svislecary{3pt} \caraoddo3-4 \caraoddo7-8 \svislecary{3pt}
         &Hruky&  15ks& 27& 5.7kg&  8.11.& 7.08.&     \\
\dolnicara
\konectabulky{Tab. 5 Ovoce a zelenina se kterou te nen psina.}\endverbatim
\medskip

\bye

